Subject: Help on poison ivy

From: [email-masked]
Date: 22 Jul 1995 03:52:18 GMT

Does anybody know any good anti poin ivy herb or anything?

Kohlrabi the Great E....

---

From: [email-masked] (David Hickey-Schiappa)
Date: 22 Jul 1995 17:17:01 -0400

[email-masked] wrote:

: Does anybody know any good anti poin ivy herb or anything? [break]

     The juice of the "jewel weed" plant (also called "touch-me-not"), a 
relative of impatiens, is reputed to be very effective against p.i.  My 
wife, who catches p.i. by looking at it, swears by it.  Fortunately, it 
grows in the same kind of areas where p.i. proliferates, and is a rather 
unique looking plant - once you've seen it, you'll have no trouble 
identifying it (hollow, fleshy stems, especially early in  the spring, 
segmented, generally one to two feet tall - although I've seen them 
bigger under the right conditions).  Get an old-timer to show you one and 
you'll always be able to find it.  Good luck.